*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

* {
  font-family: "Courier New", Courier, monospace;
}

body {
  color: #000000;
  background: #ffffff;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  padding: 1rem;
}

main {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4rem;
  width: 100%;
  max-width: 60rem;
}

img#image {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 24rem;
  min-width: 0;
}

div#apples {
  background: url("/img/apple.png");
  background-repeat: round;
}

p#result-subtext {
  color: #808080;
}

p#error {
  color: #ff4040;
}

input#fileInput {
  display: none;
}

a,
label#fileInputLabel {
  color: #000000;
  text-decoration: none;
  padding: 0.25rem;
  background: linear-gradient(#000000, #000000);
  background-repeat: no-repeat;
  background-position: 0 100%;
  background-size: 100% 1px;
  transition: 250ms ease;
}

a:hover,
label#fileInputLabel:hover {
  color: #ffffff;
  background-size: 100% 100%;
}

a:active,
label#fileInputLabel:active {
  color: #808080;
}
